##### basic_socket_streambuf::connect (2 of 2 overloads)

Establish a connection.

    template<
        typename T1,
        ... ,
        typename TN>
    basic_socket_streambuf * connect(
        T1 t1,
        ... ,
        TN tn);

This function automatically establishes a connection based on the supplied resolver query parameters. The arguments are used to construct a resolver query object.

###### Return Value

`this` if a connection was successfully established, a null pointer otherwise.